
public class Class225_Sub4_Sub3 extends Class225_Sub4 {

   int anInt10436;


   public boolean method13344(int var1) {
      Class515_Sub1_Sub4_Sub4_Sub1 var2 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[this.anInt10436 * 1448373849];
      if(var2 != null) {
         if(var1 != 1385214721) {
            ;
         }

         Class225_Sub34.method14039(Class386.aClass386_4825, -165881631 * this.anInt8385, -1, var2, 1448373849 * this.anInt10436, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13347() {
      Class515_Sub1_Sub4_Sub4_Sub1 var1 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[this.anInt10436 * 1448373849];
      if(var1 != null) {
         Class225_Sub34.method14039(Class386.aClass386_4825, -165881631 * this.anInt8385, -1, var1, 1448373849 * this.anInt10436, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13343() {
      Class515_Sub1_Sub4_Sub4_Sub1 var1 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[this.anInt10436 * 1448373849];
      if(var1 != null) {
         Class225_Sub34.method14039(Class386.aClass386_4825, -165881631 * this.anInt8385, -1, var1, 1448373849 * this.anInt10436, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public Class225_Sub4_Sub3(int var1, int var2, int var3) {
      super(var1, var2);
      this.anInt10436 = var3 * 269220329;
   }

   public boolean method13346() {
      Class515_Sub1_Sub4_Sub4_Sub1 var1 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[this.anInt10436 * 1448373849];
      if(var1 != null) {
         Class225_Sub34.method14039(Class386.aClass386_4825, -165881631 * this.anInt8385, -1, var1, 1448373849 * this.anInt10436, (byte)0);
         return true;
      } else {
         return false;
      }
   }

   public boolean method13345() {
      Class515_Sub1_Sub4_Sub4_Sub1 var1 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[this.anInt10436 * 1448373849];
      if(var1 != null) {
         Class225_Sub34.method14039(Class386.aClass386_4825, -165881631 * this.anInt8385, -1, var1, 1448373849 * this.anInt10436, (byte)0);
         return true;
      } else {
         return false;
      }
   }
}
